Package de.willuhn.jameica.hbci

# Class JameicaCompat

java.lang.Object
de.willuhn.jameica.hbci.JameicaCompat

public class JameicaCompat extends Object
Hilfsklasse fuer Abwaertskompatibilitaet zu aelteren Jameica-Versionen.

## Constructor Summary

Constructors
Constructor
Description
`JameicaCompat()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`get(Object o, String method, String field)`
Prueft, ob in dem Objekt "o" die Methode "method" existiert.
`static void`
`set(Object o, Object value, String method, String field)`
Prueft, ob in dem Objekt "o" die Methode "method" existiert.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JameicaCompat

public JameicaCompat()

## Method Details

### get

public static Object get(Object o, String method, String field) throws Exception
Prueft, ob in dem Objekt "o" die Methode "method" existiert. Wenn ja, wird sie ausgefuehrt und der Rueckgabewert geliefert. Falls nicht, wird geprueft, ob eine Member-Variable "field" existiert und deren Wert zurueckgeliefert.

Parameters:
  `o` - das Objekt.
  `method` - die aufzurufende Methode.
  `field` - das alternative Feld, falls die Methode in dieser Jameica-Version noch nicht existiert.
Returns:
  der Rueckgabewert der Methode bzw. der Wert der Member-Variable.
Throws:
  `Exception`

### set

public static void set(Object o, Object value, String method, String field) throws Exception
Prueft, ob in dem Objekt "o" die Methode "method" existiert. Wenn ja, wird sie ausgefuehrt und der Parameter "value" als Wert uebergeben. Falls nicht, wird geprueft, ob eine Member-Variable "field" existiert und deren Wert gesetzt.

Parameters:
  `o` - das Objekt.
  `value` - der Wert.
  `method` - die aufzurufende Methode.
  `field` - das alternative Feld, falls die Methode in dieser Jameica-Version noch nicht existiert.
Throws:
  `Exception`